<?php

if (!defined('TYPO3')) {
    die('Access denied.');
}

$extKey = 'modules';
$table = 'tx_modules_domain_model_invitationcode';
$lll = 'LLL:EXT:' . $extKey . '/Resources/Private/Language/locallang_db.xlf:' . $table;

$return = [
    'ctrl' => [
        'title' => $lll,
        'label' => 'code',
        'label_alt' => 'used, used_at',
        'label_alt_force' => true,
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'dividers2tabs' => true,
        'delete' => 'deleted',
        'enablecolumns' => [
            'disabled' => 'used',
        ],
        'searchFields' => 'code,',
        'iconfile' => 'EXT:modules/Resources/Public/Icons/iconmonstr-key-13.svg',
        'typeicon_classes' => ['default' => 'mimetypes-x-content-modules-invitationcode']
    ],
    'types' => [
        '1' => ['showitem' => '
            --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:general,
            code,
                --palette--;;used_used_at,
            --div--;' . $lll . '.tab_defaults,
                defaults_information,
                --palette--;;first_name_last_name_company,
                usergroups,
                birthday,
                --palette--;;starttime_endtime,
        '],
    ],
    'palettes' => [
        'used_used_at' => ['showitem' => 'used, used_at'],
        'starttime_endtime' => ['showitem' => 'starttime_endtime_information, --linebreak--, starttime, endtime'],
        'first_name_last_name_company' => ['showitem' => 'first_name, last_name, company'],
    ],
    'columns' => [
        'code' => [
            'label' => $lll . '.code',
            'description' => $lll . '.code_description',
            'config' => \CodingMs\AdditionalTca\Tca\Configuration::get('string', true),
        ],
        'used' => [
            'label' => $lll . '.used',
            'config' => \CodingMs\AdditionalTca\Tca\Configuration::get('checkbox')
        ],
        'used_at' => [
            'label' => $lll . '.used_at',
            'config' => \CodingMs\AdditionalTca\Tca\Configuration::get(
                'dateTime',
                false,
                false,
                '',
                [
                    'dbType' => 'datetime'
                ]
            ),
        ],
        'usergroups' => [
            'exclude' => true,
            'l10n_mode' => 'exclude',
            'label' => $lll . '.usergroups',
            'description' => $lll . '.usergroups_description',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectMultipleSideBySide',
                'size' => 7,
                'maxitems' => 20,
                'allowed' => 'fe_groups',
                'foreign_table' => 'fe_groups',
                'foreign_table_where' => 'AND fe_groups.pid = ###CURRENT_PID###',
                //
                'appearance' => [
                    'collapseAll' => 1,
                    'levelLinksPosition' => 'top',
                    'showSynchronizationLink' => 1,
                    'showPossibleLocalizationRecords' => 1,
                    'showAllLocalizationLink' => 1
                ],
            ],
        ],
        'defaults_information' => [
            'label' => '',
            'config' => \CodingMs\AdditionalTca\Tca\Configuration::get('notice', false, false, '', [
                'notice' => $lll . '.defaults_information',
                'display' => 'info',
            ]),
        ],
        'first_name' => [
            'exclude' => 1,
            'label' => $lll . '.first_name',
            'config' => \CodingMs\AdditionalTca\Tca\Configuration::get('string'),
        ],
        'last_name' => [
            'exclude' => 1,
            'label' => $lll . '.last_name',
            'config' => \CodingMs\AdditionalTca\Tca\Configuration::get('string'),
        ],
        'company' => [
            'exclude' => 1,
            'label' => $lll . '.company',
            'config' => \CodingMs\AdditionalTca\Tca\Configuration::get('string'),
        ],
        'starttime_endtime_information' => [
            'label' => '',
            'config' => \CodingMs\AdditionalTca\Tca\Configuration::get('notice', false, false, '', [
                'notice' => $lll . '.starttime_endtime_information',
            ]),
        ],
        'birthday' => [
            'exclude' => 1,
            'label' => $lll . '.birthday',
            'config' => \CodingMs\AdditionalTca\Tca\Configuration::get('date'),
        ],
        'starttime' => \CodingMs\AdditionalTca\Tca\Configuration::full('starttime'),
        'endtime' => \CodingMs\AdditionalTca\Tca\Configuration::full('endtime'),
    ],
];

if((int)\TYPO3\CMS\Core\Utility\VersionNumberUtility::getCurrentTypo3Version() < 12) {
    $return['ctrl']['cruser_id'] = 'cruser_id';
}
return $return;
